/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	syscall_subr.h,v $
 * Revision 4.2  91/09/19  22:27:27  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: syscall_subr.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/19 22:27:27 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * OSF/1 Release 1.0
 */

#ifndef	_KERN_SYSCALL_SUBR_H_
#define _KERN_SYSCALL_SUBR_H_

#include <mach_emulation.h>
#include <mach_sctimes.h>

#include <mach/port.h>
#include <mach/kern_return.h>

extern	port_t		task_by_pid();
extern	kern_return_t	init_process();

extern int	swtch();
extern int	swtch_pri();

extern int	thread_switch();

extern int	map_fd();

#if	MACH_EMULATION
extern int	htg_unix_syscall();
#endif	

#if	MACH_SCTIMES
extern kern_return_t mach_sctimes_0();
extern kern_return_t mach_sctimes_1();
extern kern_return_t mach_sctimes_2();
extern kern_return_t mach_sctimes_3();
extern kern_return_t mach_sctimes_4();
extern kern_return_t mach_sctimes_5();
extern kern_return_t mach_sctimes_6();
extern kern_return_t mach_sctimes_7();
extern kern_return_t mach_sctimes_8();
extern kern_return_t mach_sctimes_9();
extern kern_return_t mach_sctimes_10();
extern kern_return_t mach_sctimes_11();
extern kern_return_t mach_sctimes_port_alloc_dealloc();
#endif	

#endif	/* _KERN_SYSCALL_SUBR_H_ */
